/* 通用样式 */
html,body{font-size: 12px;user-select: none;overflow: auto;}


img{display: block;}

.dn{display: none!important;}

.hideimg{position: fixed;top: 200%;left: 200%;display: none;}

.survey-page{padding: 30px;font-size: 1.1rem;}

#surveyContainer{position: inherit;padding-top: 30px;}

.survey-header{opacity: 0;}

.survey-header.ff5pb-1{padding: 36px 100px;margin: 0;min-height: 0;}

.ff5pb-1 .progress-bar{width: 100%;position: relative;float: none;margin: 0;height: 20px;}

.ff5pb-1 .progress-box-outer{width: 100%;position: absolute;height: 20px;border-radius: 10px;top: 0;left: 0;max-width: none;border-color: #999;}

.ff5pb-1 .progress-box-completed{background: linear-gradient(to right, #ff9933, #fbaa33);border-radius: 10px;}

.ff5pb-1 .progress-text{padding: 0;position: absolute;width: 48px;height: 48px;border: 1px solid #999;font-weight: bold;font-size: 1.4rem;display: flex;align-items: center;justify-content: center;border-radius: 50%;background-color: white;margin-left: -24px;margin-top: -12px;}

.survey-header.pb1{padding: 36px 100px;margin: 0;min-height: 0;}

.pb1 .progress-bar{width: 100%;position: relative;float: none;margin: 0;height: 20px;}

.pb1 .progress-box-outer{width: 100%;position: absolute;height: 20px;border-radius: 10px;top: 0;left: 0;max-width: none;border-color: #999;}

.pb1 .progress-box-completed{background: linear-gradient(to right, #000, #999);border-radius: 10px;}

.pb1 .progress-text{padding: 0;position: absolute;width: 48px;height: 48px;border: 1px solid #999;font-weight: bold;font-size: 1.4rem;display: flex;align-items: center;justify-content: center;border-radius: 50%;background-color: white;margin-left: -24px;margin-top: -12px;}

.survey-header.pb2{padding: 36px 100px;margin: 0;min-height: 0;padding-right: 140px;}

.pb2 .progress-bar{width: 100%;position: relative;float: none;margin: 0;height: 100px;}

.pb2 .progress-box-outer{width: 100%;position: absolute;height: 20px;bottom: 0;left: 0;max-width: none;border: none;border-bottom: 2px solid red;}

.pb2 .progress-box-outer::before{position: absolute;content: "";width: 40px;height: 40px;border-radius: 50%;border: 2px solid transparent;border-bottom: 2px solid red;bottom: -2px;right: -18px;transform: rotate(-45deg);}

.pb2 .progress-box-outer::after{position: absolute;content: "";width: 35px;height: 138px;bottom: -30px;right: -36px;background: url(pb2_1.png);}

.pb2 .progress-box-completed{background-color: black;height: 2px;position: absolute;bottom: -2px;}

.pb2 .progress-box-completed::before{position: absolute;content: "";width: 32px;height: 32px;background: url(pb2_2.png);top: -15px;right: -15px;}

.pb2 .progress-text{padding: 0;position: absolute;font-size: 2rem;font-weight: bold;top: 40px;left: 50%;transform: translateX(-50%);padding: 0;margin: 0;}

.survey-body{padding: 0;margin: 0 auto;min-width: 0;border-radius: 0;box-shadow: none;display: block;max-width: none;width: 1200PX;}

.survey-body .exit-message{margin: 0 auto;max-width: 90%;}

#primary{width: 100%;margin: 0 auto;padding: 100px;padding-top: 40px;opacity: 0;}

.survey-error{max-width: 100%;width: 100%;}

.question,.html{max-width: none;margin: 0;margin-bottom: 20px;}

.question:last-of-type,.html:last-of-type{margin-bottom: 0;}

.question h1,.html h1{font-size: 1.4rem;max-width: 100%;}

.question h2,.html h2{font-size: 1.3rem;max-width: 100%;font-style: italic;margin: 1.2rem 0;}

.survey-info{width: 100%;max-width: none;display: none;}

.question-error{max-width: 100%;width: 100%;}

.answers{font-size: 1.4rem;width: 100%;}

.answers .grid-table-mode.setWidth{width: 100%;}

.answers input[type=text]{border-radius: 9px;padding: 0 20px;font-size: 1.4rem;height: 48px;}

.answers .grid-table-mode .legend{font-size: 1.4rem;}

textarea.input{font-size: 1.1rem;width: 100%;}

.survey-buttons{margin: 0 auto;margin-top: 6rem;padding: 0;display: flex;justify-content: center;}

.survey-buttons .button.back:active,.survey-buttons .button.randomize,.survey-buttons .button.back[disabled]{background-color: white;color: #ccc;}

.survey-buttons .button{margin: 0 1rem;padding: 1.4rem 4.6rem;border-radius: 9px;font-size: 1.8rem;line-height: 1;border: 1px solid #ccc;outline: none;box-shadow: none;background-color: white;color: #ccc;}

.tempbn{display: flex;justify-content: center;margin-top: 6rem;height: 4.8rem;}

back,next{cursor: pointer;margin: 0 1rem;padding: 1.4rem 4.6rem;border-radius: 9px;font-size: 1.8rem;line-height: 1;border: 1px solid #ccc;box-shadow: none;background-color: white;color: #ccc;}

next{display: none;}

back:hover,next:hover{color: white!important;}







/* 目录页样式 */
body[home] .footer{display: none;}

body[home] .survey-header{display: none;}

body[home] #primary{margin: 0;padding: 60px 30px;display: flex;flex-wrap: wrap;width: 100%;overflow: hidden;background: url(ff5logo.jpg) no-repeat 40px 30px;background-size: 200px;}

body[home] .comment{margin: 0;padding: 0;width: 100%;margin-bottom: 2rem;}

body[home] .question{margin: 5px 1%;padding: 0;width: 18%;}

body[home] .comment h1{font-size: 2rem;text-align: center;}

body[home] .question h1{font-size: 1.4rem;line-height: 3;background-color: rgb(252, 213, 167);text-align: center;}

body[home] .question h2{margin: 0;padding: 0;}

body[home] .question .answers{margin: 0 auto;padding: 6px;width: calc(100% - 0px);min-width: 0;background-color: rgb(242, 242, 242);height: calc(100% - 46px);min-height: 268px;}

body[home] .question .answers .groupingCols{margin: 0;padding: 0;padding-left: 14px;position: relative;}

body[home] .question .answers .groupingCols.ex-item{margin-left: 20px;height: 0;overflow: hidden;}

body[home] .question .answers .groupingCols.on .ex-item{height: auto;}

body[home] .question .answers .groupingCols.dis{pointer-events: none;}

body[home] .question .answers .groupingCols .cell-input{position: absolute;top: 2px;left: 0;}

body[home] .question .answers .groupingCols .cell-input .fir-icon{width: 8px;height: 8px;border-radius: 50%;background-color: #333;}

body[home] .question .answers .groupingCols.ex>.cell-sub-wrapper .cell-input .fir-icon{position: relative;width: 1px;height: 1px;left: 4px;top: 0;}

body[home] .question .answers .groupingCols.ex>.cell-sub-wrapper .cell-input .fir-icon::before{position: absolute;content: "";width: 10px;height: 1px;background-color: #333;top: 50%;left: 50%;transform: translate(-50%,-50%);}

body[home] .question .answers .groupingCols.ex>.cell-sub-wrapper .cell-input .fir-icon::after{position: absolute;content: "";width: 1px;height: 10px;background-color: #333;top: 50%;left: 50%;transform: translate(-50%,-50%);}

body[home] .question .answers .groupingCols.ex.on>.cell-sub-wrapper .cell-input .fir-icon::after{display: none;}

body[home] .question .answers .groupingCols .cell-input .fir-icon svg{display: none;}

body[home] .question .answers .groupingCols .cell-input .fir-icon.selected{background-color: red!important;}

body[home] .question .answers .groupingCols .cell-text{color: #333;line-height: 1.5;}

body[home] .question .answers .groupingCols.dis .cell-input .fir-icon{background-color: lightgray;}

body[home] .question .answers .groupingCols.dis .cell-text{color: lightgray;}

body[home] .question .answers .groupingCols.ing .cell-input .fir-icon{background-color: lightskyblue;}

body[home] .question .answers .groupingCols.ing .cell-text{color: lightskyblue;}



/* hellopage */
body[hellopage] .survey-header{display: none;}

body[hellopage] .comment-text{text-align: center;}

body[hellopage] img{width: 680px;margin: 0 auto;}

body[hellopage] p{text-align: center;}



/* checkpoint */
body[checkpoint]{background: url(checkpoint_bg.jpg) no-repeat center;background-size: cover;}

body[checkpoint] .survey-header{display: none;}

body[checkpoint] .comment-text{position: relative;}

body[checkpoint] .comment-text b{display: none;}

body[checkpoint] .comment-text .btxt{font-size: 4rem;color: #999;display: block;text-align: center;font-weight: bold;display: flex;margin: 10px auto;justify-content: center;}

body[checkpoint] .comment-text .btxt s{text-decoration: none;}

body[checkpoint] .comment-text img{max-width: 100%;margin: 0 auto;}




/* qc_questions */
body[qc_questions-f]{background: linear-gradient(to right, #ed385e, #ad246b)!important;}

body[qc_questions-t]{background: linear-gradient(to right, #ff9933, #ff9933)!important;}

body[qc_questions-f] .comment-text,body[qc_questions-t] .comment-text{position: relative;text-align: center;}

body[qc_questions-f] .comment-text p{margin-bottom: 32px;font-size: 1.4rem;}

body[qc_questions-t] .comment-text p{margin-bottom: 32px;font-size: 1.4rem;}

body[qc_questions-f] .comment-text p b{font-size: 1.4rem;}

body[qc_questions-t] .comment-text p b{font-size: 1.4rem;}

body[qc_questions-f] .qc_questions-img{position: relative;width: 240px;height: 240px;margin: 0 auto;margin-top: 60px;background: url(qc_questions_1-1.png) no-repeat center;background-size: 240px;}

body[qc_questions-t] .qc_questions-img{position: relative;width: 240px;height: 240px;margin: 0 auto;margin-top: 80px;background: url(qc_questions_2-1.png) no-repeat center;background-size: 240px;}

body[qc_questions-f] .qc_questions-img::before,body[qc_questions-t] .qc_questions-img::before{position: absolute;content: "";width: 220px;height: 24px;background-color: #eee;border-radius: 50%;left: 10px;bottom: -28px;}

body[qc_questions-f] .qc_questions-dh{position: absolute;bottom: -32px;left: 50%;margin-left: -140px;width: 120px;height: 120px;background: url(qc_questions_1-2.gif) no-repeat center;background-size: 120px;}

body[qc_questions-t] .qc_questions-dh{position: absolute;bottom: -40px;left: 50%;margin-left: -225px;width: 450px;height: 360px;background-size: 360px;}



/* qcvideo */
body[qcvideo] .question-text{text-align: center;margin-bottom: 24px;}

body[qcvideo] .instruction-text{text-align: center;font-size: 1.4rem;margin-bottom: 40px;}

body[qcvideo] .radio .question-text{display: none;}

body[qcvideo] .radio .answers{display: flex;width: 100%;justify-content: center;}

body[qcvideo] .radio .answers .groupingCols{width: 21%;padding: 0;margin: 2%;}

body[qcvideo] .radio .answers .groupingCols .cell-sub-wrapper{width: 100%;position: relative;height: 50px;}

body[qcvideo] .radio .answers .groupingCols .cell-sub-wrapper span{width: 100%;height: 100%;display: flex;}
@media screen and (-webkit-min-device-pixel-ratio:0) {
    body[qcvideo] .radio .answers .groupingCols .cell-sub-wrapper span{align-items: center;justify-content: center;}
}
@-moz-document url-prefix(){
    body[qcvideo] .radio .answers .groupingCols .cell-sub-wrapper span{align-items: baseline;justify-content: center;}
}

body[qcvideo] .radio .answers .groupingCols .fir-icon{width: 100%;height: 48px;border: 1px solid #ff9933;border-radius: 9px;display: block;position: absolute;z-index: 2;}

body[qcvideo] .radio .answers .groupingCols .fir-icon svg{display: none;}

body[qcvideo] .radio .answers .groupingCols .cell-text{position: absolute;text-align: center;top: 50%;left: 50%;transform: translate(-50%,-50%);z-index: 1;}

body[qcvideo] .radio .answers .groupingCols .fir-icon.selected{background-color: #ff9933;}

body[qcvideo] .radio .answers .groupingCols.on .cell-text{z-index: 3;color: white;}

body[qcvideo] .radio .answers .groupingCols .cell-text label{width: 100%;height: 100%;display: flex;align-items: center;justify-content: center;}








/* atm1d */
.sq-atm1d-buttons.sq-atm1d-vertical .sq-atm1d-open .sq-atm1d-content{justify-content: flex-start;}
@-moz-document url-prefix(){
    .sq-atm1d-buttons.sq-atm1d-vertical .sq-atm1d-tr.sq-atm1d-tr-top{display: table-cell;}
}

.sq-atm1d-widget[data-label="response_single_horizontal"] .sq-atm1d-block{width: 100%;}

.sq-atm1d-buttons[data-label="response_single_horizontal"]{display: flex!important;flex-wrap: wrap;}

.sq-atm1d-buttons[data-label="response_single_horizontal"] li{display: flex!important;justify-content: center;align-items: center;min-width: 15%!important;}

.sq-atm1d-buttons[data-label="response_single_horizontal"]  .sq-atm1d-td .sq-atm1d-legend{text-align: center;}

.sq-atm1d-buttons[data-label="response_single_horizontal"] .sq-atm1d-tr.sq-atm1d-tr-top{display: flex;height: 100%;align-items: center;justify-content: center;}
@-moz-document url-prefix(){
    .sq-atm1d-buttons[data-label="response_single_horizontal"] .sq-atm1d-tr.sq-atm1d-tr-top{display: table-row;}
}

.sq-atm1d-buttons[data-label="response_multi_horizontal"]{display: flex!important;flex-wrap: wrap;}

.sq-atm1d-buttons[data-label="response_multi_horizontal"] .sq-atm1d-open .sq-atm1d-table{display: block;}

.sq-atm1d-buttons[data-label="response_multi_horizontal"] .sq-atm1d-open .sq-atm1d-table{display: block!important;}

.sq-atm1d-buttons[data-label="response_multi_horizontal"] .sq-atm1d-open .sq-atm1d-table tbody{width: 100%;display: block;height: 100%;}

.sq-atm1d-buttons[data-label="response_multi_horizontal"] .sq-atm1d-open .sq-atm1d-table .sq-atm1d-tr{display: block;height: 100%;}

.sq-atm1d-legend{font-size: 1.4rem;}

.sq-atm1d-legend img{margin-bottom: 1rem!important;}

.sq-atm1d .sq-atm1d-selected{background-color: #ff9933;}



/* merge */
body[merge] #primary{display: flex;justify-content: center;flex-wrap: wrap;}
body[merge] .html.comment{width: 100%;}
body[merge] .comment .comment-text{text-align: left;}
body[merge] .question{width: 30%;}
body[merge] .question .sq-atm1d-vertical .sq-atm1d-button{width: 90%;margin: 10px auto;pointer-events: none;opacity: .5;}
body[merge] .question.on .sq-atm1d-vertical .sq-atm1d-button{pointer-events: all;opacity: 1;}

body[merge] .survey-buttons{width: 100%;}
body[merge] .question h1,body[merge] .question h2{text-align: center;}

/* opentext */
body[opentext] .groupingCols .cell-text{display: none;}

/* openbox */
body[openbox] .question-text{text-align: center;}
body[openbox] .groupingCols{display: flex;}
body[openbox] .cell-sub-wrapper{display: flex;}




/* qcaudio */
body[qcaudio] .sq-audio-seek-controls{display: none;}

body[qcaudio] .sq-audio-play-pause-button{width: 120px;height: 112px;border-radius: 0;background: url(audio_qc_play_start.png) no-repeat center;background-size: cover;}

body[qcaudio] .sq-audio-play-pause-button::before{content: "";}

body[qcaudio] .sq-audio-play-pause-button.sq-audio-highlight{background: url(audio_qc_play_on.png) no-repeat center;background-size: cover;}

body[qcaudio] .question-text{text-align: center;margin-bottom: 24px;}

body[qcaudio] .instruction-text{text-align: center;font-size: 1.4rem;margin-bottom: 40px;}

body[qcaudio] .radio .question-text{display: none;}

body[qcaudio] .radio .answers{display: flex;width: 100%;}

body[qcaudio] .radio .answers .groupingCols{width: 21%;padding: 0;margin: 2%;}

body[qcaudio] .radio .answers .groupingCols .cell-sub-wrapper{width: 100%;position: relative;height: 50px;}

body[qcaudio] .radio .answers .groupingCols .cell-sub-wrapper span{width: 100%;height: 100%;display: flex;}
@media screen and (-webkit-min-device-pixel-ratio:0) {
    body[qcaudio] .radio .answers .groupingCols .cell-sub-wrapper span{align-items: center;justify-content: center;}
}
@-moz-document url-prefix(){
    body[qcaudio] .radio .answers .groupingCols .cell-sub-wrapper span{align-items: baseline;justify-content: center;}
}

body[qcaudio] .radio .answers .groupingCols .fir-icon{width: 100%;height: 48px;border: 1px solid #ccc;border-radius: 9px;display: block;position: absolute;z-index: 2;}

body[qcaudio] .radio .answers .groupingCols .fir-icon svg{display: none;}

body[qcaudio] .radio .answers .groupingCols .cell-text{position: absolute;text-align: center;top: 50%;left: 50%;transform: translate(-50%,-50%);z-index: 1;}

body[qcaudio] .radio .answers .groupingCols .fir-icon.selected{background-color: #ff9933;}

body[qcaudio] .radio .answers .groupingCols.on .cell-text{z-index: 3;color: white;}

body[qcaudio] .radio .answers .groupingCols .cell-text label{width: 100%;height: 100%;display: flex;align-items: center;justify-content: center;}



/* select_yesno */
body[select_yesno] .question-text,body[select_yesno] .instruction-text{text-align: center;}

body[select_yesno] .answers{display: flex;justify-content: center;margin-top: 20px;}

body[select_yesno] .answers .groupingCols{padding: 0;margin: 0 50px;}

body[select_yesno] .cell-sub-column{display: block;padding: 0;}

body[select_yesno] .cell-sub-column.cell-input svg{display: none;}

body[select_yesno] .cell-sub-column.cell-input .fir-icon{width: 60px;height: 60px;border: 1px solid #aaa;background: linear-gradient(0deg, lightgray, white);border-radius: 50%;position: relative;cursor: pointer;padding: 0;}

body[select_yesno] .yes .cell-sub-column.cell-input .fir-icon::before{position: absolute;content: "";width: 16px;height: 8px;border-radius: 4px;background-color: white;top: 30px;left: 12px;transform: rotate(45deg);}

body[select_yesno] .yes .cell-sub-column.cell-input .fir-icon::after{position: absolute;content: "";width: 32px;height: 8px;border-radius: 4px;background-color: white;top: 26px;left: 18px;transform: rotate(-45deg);}

body[select_yesno] .no .cell-sub-column.cell-input .fir-icon::before{position: absolute;content: "";width: 40px;height: 8px;border-radius: 4px;background-color: white;top: 50%;left: 50%;transform: translate(-50%,-50%) rotate(45deg);}

body[select_yesno] .no .cell-sub-column.cell-input .fir-icon::after{position: absolute;content: "";width: 40px;height: 8px;border-radius: 4px;background-color: white;top: 50%;left: 50%;transform: translate(-50%,-50%) rotate(-45deg);}

body[select_yesno] .yes .cell-sub-column.cell-input .fir-icon.selected{background: linear-gradient(180deg, rgb(191,215,48), rgb(156,176,34));}

body[select_yesno] .no .cell-sub-column.cell-input .fir-icon.selected{background: linear-gradient(180deg, rgb(239,57,96), rgb(205,17,55));}

body[select_yesno] .cell-sub-column.cell-text{margin-top: 12px;text-align: center;}

body[select_yesno] .cell-sub-column.cell-text label{font-weight: bold;}




/* select_nologo */
body[select_nologo] .answers{width: 100%;display: block;}

body[select_nologo] .answers .OneColumnEl{margin-bottom: 2%;padding: 0;}

body[select_nologo] .c1 .answers .OneColumnEl{width: 30%;}

body[select_nologo] .c2 .answers .OneColumnEl{width: 48%;}

body[select_nologo] .c3 .answers .OneColumnEl{width: 31%;}

body[select_nologo] .c4 .answers .OneColumnEl{width: 23%;}

body[select_nologo] .c5 .answers .OneColumnEl{width: 18%;}

body[select_nologo] .answers .OneColumnEl .cell-sub-wrapper{position: relative;width: 100%;height: 100%;}

body[select_nologo] .answers .OneColumnEl .cell-text{margin-bottom: 10px;}

body[select_nologo] .answers .OneColumnEl .fir-select{width: 100%;padding: 0;}

body[select_nologo] .answers .OneColumnEl .fir-select::after{right: 30px;}

body[select_nologo] .answers .OneColumnEl .fir-select .dropdown{padding: 2rem 4rem;display: flex;align-items: center;justify-content: center;border-radius: 9px;text-align: center;width: 100%;}




/* response_nologo */
body[response_nologo] .answers{width: 100%;display: flex;flex-wrap: wrap;justify-content: space-around;margin-top: 100px;}

body[response_nologo] .answers .OneColumnEl{margin-bottom: 2%;padding: 0;}

body[response_nologo] .c1 .answers{display: block;margin-top: 40px;}

body[response_nologo] .c1 .answers .OneColumnEl{width: 30%;}

body[response_nologo] .c2 .answers .OneColumnEl{width: 48%;}

body[response_nologo] .c3 .answers .OneColumnEl{width: 31%;}

body[response_nologo] .c4 .answers .OneColumnEl{width: 23%;}

body[response_nologo] .c5 .answers .OneColumnEl{width: 18%;}

body[response_nologo] .answers .OneColumnEl .cell-sub-wrapper{position: relative;width: 100%;height: 100%;}

body[response_nologo] .answers .OneColumnEl .cell-input{position: absolute;top: 0;left: 50%;width: 100%;height: 100%;transform: translateX(-50%);}

body[response_nologo] .answers .OneColumnEl .cell-input .fir-icon{width: 100%;height: 100%;border: 1px solid #ccc;border-radius: 9px;position: relative;}

body[response_nologo] .answers .OneColumnEl .cell-input .fir-icon.selected{border: 1px solid #ff9933;}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-input .fir-icon.selected::before{position: absolute;content: "";width: 22px;height: 22px;border: 1px solid white;left: 36px;top: 50%;transform: translateY(-50%);}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-input .fir-icon.selected::after{position: absolute;content: "";width: 5px;height: 12px;border-bottom: 3px solid white;border-right: 3px solid white;transform: rotate(45deg);left: 44px;top: 50%;margin-top: -9px;}

body[response_nologo] .answers .OneColumnEl .cell-input svg{display: none;}

body[response_nologo] .answers .OneColumnEl .cell-text{padding: 0;}

body[response_nologo] .answers .OneColumnEl .cell-text label{padding: 20px 40px;display: flex;align-items: center;justify-content: center;border-radius: 9px;}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-text label{padding: 20px 60px;}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-text .oe{width: 100%;height: 100%;padding: 0;margin: 0;position: absolute;text-align: center;top: 0;left: 0;border-radius: 9px;display: none;}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-text .oe.on{display: block;}

body[response_nologo] .checkbox .answers .OneColumnEl .cell-text .oe.sel{width: calc(100% - 128px);left: 64px;border: none;border-radius: 0;}




/* response_images */
body[response_images] .question-text{text-align: center;}

body[response_images] .answers{width: 100%;display: flex;flex-wrap: wrap;justify-content: space-between;}

body[response_images] .answers .OneColumnEl{width: 23%;margin-bottom: 2%;padding: 0;}

body[response_images] .answers .OneColumnEl .cell-sub-wrapper{position: relative;width: 100%;display: block;}

body[response_images] .answers .OneColumnEl .cell-input{position: absolute;top: 0;left: 0;width: 100%;}

body[response_images] .answers .OneColumnEl .cell-input svg{display: none;}

body[response_images] .answers .OneColumnEl .cell-input .fir-icon{display: block;width: 100%;}

body[response_images] .answers .OneColumnEl .cell-input .fir-icon.selected{border: 4px solid #ff9933;}

body[response_images] .answers .OneColumnEl .cell-text{display: block;}

body[response_images] .answers .OneColumnEl .cell-text label{display: flex;justify-content: center;flex-wrap: wrap;}

body[response_images] .answers .OneColumnEl .cell-text .box{width: 100%;display: flex;justify-content: center;align-items: center;padding: 20px;border: 1px solid lightgray;margin-bottom: 20px;}

body[response_images] .answers .OneColumnEl .cell-text img{display: block;max-width: 100%;}




/* grid_col */
body[grid_col] .question-text{text-align: left;}

body[grid_col] .instruction-text{text-align: left;margin: 20px 0;}

body[grid_col] .grid-table-mode .row-col-legends-top .col-legend-top{font-weight: bold;border-bottom: 1px solid #999;}

body[grid_col] .grid-table-mode .nonempty{background:none;border: none;}

body[grid_col] .grid-table-mode tbody:nth-of-type(2) .nonempty:nth-of-type(even){background-color: #eee;}

body[grid_col] .grid-table-mode .row-legend.row-legend-group{font-weight: bold;text-indent: -.5em;line-height: 1.5;}

body[grid_col] .answers input[type=text]{height: 32px;}

body[grid_col] .answers .fir-icon{width: 3rem;height: 3rem;}

body[grid_col] .radio .answers .fir-icon svg{width: auto;height: auto;font-size: 3rem;}

body[grid_col] .checkbox .answers .fir-icon{width: 3rem;height: 3rem;border: 2px solid lightgray;background-color: white;}

body[grid_col] .checkbox .answers .fir-icon::before{position: absolute;content: "";width: 2rem;height: 2rem;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

body[grid_col] .checkbox .answers .fir-icon.selected,body[grid_col] .checkbox .answers .fir-icon:hover{background-color: #ff9933;border-color: #ff9933;}

body[grid_col] .checkbox .answers .fir-icon.selected::before,body[grid_col] .checkbox .answers .fir-icon:hover::before{background-color: #ff9933;}

body[grid_col] .checkbox .answers .fir-icon.selected::after,body[grid_col] .checkbox .answers .fir-icon:hover:after{position: absolute;content: "";width: .8rem;height: 1.6rem;border-bottom: 4px solid white;border-right: 4px solid white;transform: rotate(45deg);top: .1rem;left: .7rem;}

body[grid_col] .checkbox .answers .fir-icon svg{display: none;}

body[grid_col] .answers .grid-list-mode .col-legend,body[grid_col] .answers-list .col-legend{background-color: white;font-weight: bold;}

body[grid_col] .v3 .answers .grid-table-mode tbody:first-of-type{display: none;}


/* grid_col v4 */
body[grid_col] .v4 .answers{margin-top: 40px;position: relative;padding-right: 30px;display: block;}

body[grid_col] .v4 .answers .box {height:320px;width:100%;position:relative;margin-top:20px;overflow:auto;}

body[grid_col] .v4 .answers .box tbody {display:block;width:100%;position:absolute;padding:0 30px;transition:top .5s;}

body[grid_col] .v4 .answers .row-col-legends-top{display: flex;width: calc(76% - 90px);margin-left: calc(24% + 30px);justify-content: space-between;}

body[grid_col] .v4 .answers .row-col-legends-top .col-legend{width: 100%;}

body[grid_col] .v4 .answers .row-elements {display:flex!important;align-items:center;width:100%;margin:0;padding:10px 0;pointer-events: none;}

body[grid_col] .v4 .answers .row-elements.ton{pointer-events: all;}

body[grid_col] .v4 .answers .row-elements .cell-text {display: none;}

body[grid_col] .v4 .answers .row-elements .row-legend {width:24%;text-align:right;margin-right:20px;background-color:transparent;}

body[grid_col] .v4 .answers .row-elements .groupingRows {margin: 0;padding: 0;width: 100%;flex: 1;display: flex;justify-content: center;}






/* grid_row v1 */
body[grid_row] .answers .grid{width: 100%;}

body[grid_row] .grid-table-mode .nonempty{background:none;border: none;}

body[grid_row] .grid-table-mode .row-legend{text-align: left;}

body[grid_row] .grid-list-mode .row-legend{background-color: transparent;}

body[grid_row] .grid-table-mode .row-legend.row-legend-group{font-weight: bold;text-indent: -.5em;line-height: 1.5;}

body[grid_row] .answers .grid-table-mode .row-elements.odd{background-color: #eee;}

body[grid_row] .answers input[type=text]{height: 32px;}

body[grid_row] .answers .fir-icon{width: 3rem;height: 3rem;}

body[grid_row] .radio .answers .fir-icon svg{width: auto;height: auto;font-size: 3rem;}

body[grid_row] .checkbox .answers .fir-icon{width: 3rem;height: 3rem;border: 2px solid lightgray;background-color: white;}

body[grid_row] .checkbox .answers .fir-icon::before{position: absolute;content: "";width: 2rem;height: 2rem;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

body[grid_row] .checkbox .answers .fir-icon.selected,body[grid_row] .checkbox .answers .fir-icon:hover{background-color: #ff9933;border-color: #ff9933;}

body[grid_row] .checkbox .answers .fir-icon.selected::before,body[grid_row] .checkbox .answers .fir-icon:hover::before{background-color: #ff9933;}

body[grid_row] .checkbox .answers .fir-icon.selected::after,body[grid_row] .checkbox .answers .fir-icon:hover:after{position: absolute;content: "";width: .8rem;height: 1.6rem;border-bottom: 4px solid white;border-right: 4px solid white;transform: rotate(45deg);top: .1rem;left: .7rem;}

body[grid_row] .checkbox .answers .fir-icon svg{display: none;}




/* grid_row v2 */
body[grid_row] .v2 .answers{position: relative;padding-right: 30px;display: block;}

body[grid_row] .v2 .answers::before{position: absolute;content: "";left: -10px;bottom: 140px;border: 20px solid transparent;border-left: 40px solid black;z-index: 2;}

/* body[grid_row] .v2 .answers .box {height:320px;width:100%;position:relative;margin-top:20px;background:linear-gradient(180deg,lightgray 5%,white 20%,white 80%,lightgray 95%);border:1px solid #ccc;overflow:hidden;} */
body[grid_row] .v2 .answers .box {height:320px;width:100%;position:relative;margin-top:20px;background:linear-gradient(180deg,lightgray 5%,white 20%,white 80%,lightgray 95%);border:1px solid #ccc;overflow:hidden;}

body[grid_row] .v2 .answers .box tbody {display:block;width:100%;position:absolute;padding:0 30px;transition:top .5s;}

body[grid_row] .v2 .answers .row-col-legends-top{display: flex;width: calc(76% - 60px);margin-left: calc(24% + 30px);justify-content: space-between;}

body[grid_row] .v2 .answers .row-col-legends-top .col-legend{width: 100%!important;min-width: 0!important;}

body[grid_row] .v2 .answers .row-elements {display:flex!important;align-items:center;width:100%;margin:0;padding:10px 0;pointer-events: none;}

body[grid_row] .v2 .answers .row-elements.ton{pointer-events: all;}

body[grid_row] .v2 .answers .row-elements .cell-text {display: none;}

body[grid_row] .v2 .answers .row-elements .row-legend {width:24%;text-align:right;margin-right:20px;background-color:transparent;}

body[grid_row] .v2 .answers .row-elements .groupingRows {margin: 0;padding: 0;width: 100%;flex: 1;display: flex;justify-content: center;}

body[grid_row] .v2 .answers .up {position:absolute;right:0px;top:40px;cursor:pointer;}

body[grid_row] .v2 .answers .up::before {position:absolute;content:"";border:15px solid transparent;border-bottom:30px solid #ddd;left:50%;transform:translateX(-50%);}

body[grid_row] .v2 .answers .up::after {position:absolute;content:"";width:4px;border:6px solid transparent;border-top:100px solid #ddd;top:45px;left:50%;transform:translateX(-50%);}

body[grid_row] .v2 .answers .down {position:absolute;right:0px;bottom:0px;cursor:pointer;}

body[grid_row] .v2 .answers .down::before {position:absolute;content:"";border:15px solid transparent;border-top:30px solid #ddd;bottom:0;left:50%;transform:translateX(-50%);}

body[grid_row] .v2 .answers .down::after {position:absolute;content:"";width:4px;border:6px solid transparent;border-bottom:100px solid #ddd;bottom:45px;left:50%;transform:translateX(-50%);}


/* grid_row v3 */
body[grid_row] .v3 .answers .grid-table-mode tbody:first-of-type{display: none;}


/* grid_row v4 */
body[grid_row] .v4 .answers{margin-top: 40px;position: relative;padding-right: 30px;display: block;}

body[grid_row] .v4 .answers::before{position: absolute;content: "";left: -10px;bottom: 140px;border: 20px solid transparent;border-left: 40px solid black;z-index: 2;}

body[grid_row] .v4 .answers .box {height:320px;width:100%;position:relative;margin-top:20px;background:linear-gradient(180deg,lightgray 5%,white 20%,white 80%,lightgray 95%);border:1px solid #ccc;overflow:auto;}

body[grid_row] .v4 .answers .box tbody {display:block;width:100%;position:absolute;padding:0 30px;transition:top .5s;}

body[grid_row] .v4 .answers .row-col-legends-top{display: flex;width: calc(76% - 90px);margin-left: calc(24% + 30px);justify-content: space-between;}

body[grid_row] .v4 .answers .row-col-legends-top .col-legend{width: 100%;}

body[grid_row] .v4 .answers .row-elements {display:flex!important;align-items:center;width:100%;margin:0;padding:10px 0;pointer-events: none;}

body[grid_row] .v4 .answers .row-elements.ton{pointer-events: all;}

body[grid_row] .v4 .answers .row-elements .cell-text {display: none;}

body[grid_row] .v4 .answers .row-elements .row-legend {width:24%;text-align:right;margin-right:20px;background-color:transparent;}

body[grid_row] .v4 .answers .row-elements .groupingRows {margin: 0;padding: 0;width: 100%;flex: 1;display: flex;justify-content: center;}



/* grid_row both */
body[grid_row] .both .answers .grid-table-mode tbody{display: block;}

body[grid_row] .both .answers .row-col-legends-top{width: 100%;display: flex;justify-content: space-between;margin-left: 0;}

body[grid_row] .both .answers .row-col-legends-top .empty-top{width: 30%;display: block;}

body[grid_row] .both .answers .row-col-legends-top .tbox{width: 38%;margin: 0 1%;display: flex;justify-content: space-between;}

body[grid_row] .both .answers .row-col-legends-top .col-legend{text-align: center;width: 100%!important;min-width: 0!important;}

body[grid_row] .both .answers .row-elements{display: flex;justify-content: space-between;align-items: center;}

body[grid_row] .both .answers .row-elements .row-legend{width: 30%;margin: 0;}

body[grid_row] .both .answers .row-elements .cbox{width: 38%;margin: 0 1%;display: flex;justify-content: space-between;}

body[grid_row] .both .answers .row-elements .groupingRows{align-self: center;width: 100%;display: flex;justify-content: center;}

body[grid_row] .both .answers .row-elements .groupingRows .cell-text{display: none;}

body[grid_row] .both .answers-list .grid-list-mode tbody:first-of-type{display: block;}




/* grid_row face */
body[grid_row] .face .answers .groupingRows[headers*="_c5"] .fir-icon{width: 6rem;height: 6rem;background: url(face_5.png) no-repeat center;background-size: 100%;}
body[grid_row] .face .answers .groupingRows[headers*="_c5"] .fir-icon.selected{background: url(face_5_on.png) no-repeat center;background-size: 100%;}

body[grid_row] .face .answers .groupingRows[headers*="_c4"] .fir-icon{width: 6rem;height: 6rem;background: url(face_4.png) no-repeat center;background-size: 100%;}
body[grid_row] .face .answers .groupingRows[headers*="_c4"] .fir-icon.selected{background: url(face_4_on.png) no-repeat center;background-size: 100%;}

body[grid_row] .face .answers .groupingRows[headers*="_c3"] .fir-icon{width: 6rem;height: 6rem;background: url(face_3.png) no-repeat center;background-size: 100%;}
body[grid_row] .face .answers .groupingRows[headers*="_c3"] .fir-icon.selected{background: url(face_3_on.png) no-repeat center;background-size: 100%;}

body[grid_row] .face .answers .groupingRows[headers*="_c2"] .fir-icon{width: 6rem;height: 6rem;background: url(face_2.png) no-repeat center;background-size: 100%;}
body[grid_row] .face .answers .groupingRows[headers*="_c2"] .fir-icon.selected{background: url(face_2_on.png) no-repeat center;background-size: 100%;}

body[grid_row] .face .answers .groupingRows[headers*="_c1"] .fir-icon{width: 6rem;height: 6rem;background: url(face_1.png) no-repeat center;background-size: 100%;}
body[grid_row] .face .answers .groupingRows[headers*="_c1"] .fir-icon.selected{background: url(face_1_on.png) no-repeat center;background-size: 100%;}

body[grid_row] .face .answers .fir-icon svg{display: none;}



/* one */
body[grid_row] .one .grid .row-elements{display: none;}

body[grid_row] .one .grid .row-elements.odd{background-color: #eee;}

body[grid_row] .one .grid .row-elements:first-of-type{display: table-row;}

body[grid_row] .both.one .grid .row-elements:first-of-type{display: flex;}

body[grid_row] .one .grid-table-mode .nonempty{background:none;border: none;}

body[grid_row] .one .answers .fir-icon{width: 3rem;height: 3rem;}

body[grid_row] .one .radio .answers .fir-icon svg{width: auto;height: auto;font-size: 3rem;}

body[grid_row] .one .checkbox .answers .fir-icon{width: 3rem;height: 3rem;border: 2px solid lightgray;background-color: white;}

body[grid_row] .one .checkbox .answers .fir-icon::before{position: absolute;content: "";width: 2rem;height: 2rem;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

body[grid_row] .one .checkbox .answers .fir-icon.selected,body[grid_row] .one .checkbox .answers .fir-icon:hover{background-color: #ff9933;border-color: #ff9933;}

body[grid_row] .one .checkbox .answers .fir-icon.selected::before,body[grid_row] .one .checkbox .answers .fir-icon:hover::before{background-color: #ff9933;}

body[grid_row] .one .checkbox .answers .fir-icon.selected::after,body[grid_row] .one .checkbox .answers .fir-icon:hover:after{position: absolute;content: "";width: .8rem;height: 1.6rem;border-bottom: 4px solid white;border-right: 4px solid white;transform: rotate(45deg);top: .1rem;left: .7rem;}

body[grid_row] .one .checkbox .answers .fir-icon svg{display: none;}




/* popimg */
.popimg{position: fixed;top: 0;bottom: 0;left: 0;right: 0;background-color: rgba(0,0,0,.5);}

.popimg img{position: absolute;top: 50%;left: 50%;transform: translate(-50%,-50%);max-width: 100%;}







@media only screen and (max-device-width: 1200px) {
    /* 通用样式 */
    .controlbarContainer{position: fixed;bottom: 0;}

    .survey-body{width: 100%;}



    /* hellopage */
    body[hellopage] img{width: 420px;}



    /* grid_row */
    body[grid_row] .v3 .answers .grid-table-mode tbody:first-of-type{display: table-row-group;}    

}









@media only screen and (max-device-width: 540px) {
    /* 通用样式 */
    html, body{font-size: 8px;}

    .controlbarContainer{display: none;}
    
    .survey-page{padding: 60px 0;}

    .survey-header.ff5pb-1{padding: 20px;height: 10px;}
    
    .ff5pb-1 .progress-box-outer{height: 10px;border-radius: 5px;}
    
    .ff5pb-1 .progress-box-completed{border-radius: 5px;}
    
    .ff5pb-1 .progress-text{width: 32px;height: 32px;font-size: 1.2rem;margin-left: -16px;margin-top: -8px;}

    .survey-header.pb1{padding: 20px;height: 10px;}
    
    .pb1 .progress-box-outer{height: 10px;border-radius: 5px;}
    
    .pb1 .progress-box-completed{border-radius: 5px;}
    
    .pb1 .progress-text{width: 32px;height: 32px;font-size: .8rem;margin-left: -16px;margin-top: -8px;}
    
    .survey-header.pb2{padding: 20px;padding-right: 45px;}
    
    .survey-body{width: 100%;}

    #primary{padding: 20px;padding-bottom: 50px;}

    .question h1{text-align: left;}

    .question h2{text-align: left;}

    .answers .grid-table-mode{display: block;}



    /* 目录页样式 */
    body[home] #primary{background: url(ff5logo.jpg) no-repeat 30px 20px;background-size: 100px;}

    body[home] .question{width: 48%;margin-bottom: 10px;}

    body[home] .question h1{font-size: 1.4rem;}

    body[home] .question .answers{max-height: 0;overflow: hidden;transition: all .5s;display: block;padding-top: 0;padding-bottom: 0;font-size: 1.4rem;min-height: 0;}

    body[home] .question.on .answers{max-height: 100%;min-height: 180px;padding: 6px;}



    /* hellopage */
    body[hellopage] #primary{height: 100vh;}
    
    body[hellopage] img{width: 100%;}

    body[hellopage] p{font-size: 1.1rem;}



    /* atm1d */
    .sq-atm1d-legend img{width: auto;max-height: 100px;max-width: 100%;margin: 0 auto;}
    .label_multi_response_images_1 .sq-atm1d-vertical .sq-atm1d-button{min-width: 140px;display: inline-block;width: 140px;}



    /* merge */
    /* body[merge] #primary{display: block;}

    body[merge] .question{width: 100%;} */
    body[merge] .question .sq-atm1d-vertical .sq-atm1d-button{width: 98%;margin: 2px auto;}



    /* checkpoint */
    body[checkpoint] .comment-text .btxt s{font-size: 2.5rem;}



    /* select_nologo */
    body[select_nologo] .c1 .answers .OneColumnEl{width: 60%;}



    /* qc_questions */
    body[qc_questions-f] .comment-text p{margin-bottom: 24px;text-align: left;}

    body[qc_questions-t] .comment-text p{margin-bottom: 24px;text-align: left;}

    body[qc_questions-f] .qc_questions-img{position: relative;width: 240px;height: 240px;margin-top: 40px;background: url(qc_questions_1-1.png) no-repeat center;background-size: 240px;}

    body[qc_questions-t] .qc_questions-img{position: relative;width: 240px;height: 240px;margin-top: 60px;background: url(qc_questions_2-1.png) no-repeat center;background-size: 240px;}

    body[qc_questions-f] .qc_questions-img::before,body[qc_questions-t] .qc_questions-img::before{position: absolute;content: "";width: 220px;height: 24px;background-color: #eee;border-radius: 50%;left: 10px;bottom: -28px;}

    body[qc_questions-f] .qc_questions-dh{position: absolute;bottom: -30px;left: 50%;margin-left: -132px;width: 120px;height: 120px;background: url(qc_questions_1-2.gif) no-repeat center;background-size: 120px;}

    body[qc_questions-t] .qc_questions-dh{position: absolute;bottom: -40px;left: 50%;margin-left: -150px;width: 300px;height: 300px;background-size: 300px;}



    /* qcvideo */
    body[qcvideo] .question-text{text-align: left;font-size: 1.2rem;}

    body[qcvideo] .instruction-text{text-align: left;font-size: 1.2rem;}

    body[qcvideo] .radio .answers{flex-wrap: wrap;}

    body[qcvideo] .radio .answers .groupingCols{width: 46%;}




    /* qcaudio */
    body[qcaudio] .checkbox .answers{display: none;}

    body[qcaudio] .question-text{text-align: left;font-size: 1.2rem;}

    body[qcaudio] .instruction-text{text-align: left;font-size: 1.2rem;}

    body[qcaudio] .radio .answers{flex-wrap: wrap;}

    body[qcaudio] .radio .answers .groupingCols{width: 46%;}




    /* response_nologo */
    body[response_nologo] .question-text{text-align: left;}

    body[response_nologo] .answers{display: block;margin-top: 40px;}

    body[response_nologo] .answers .OneColumnEl{width: 90%!important;margin: 20px auto;}



    /* response_nologo_v2 */
    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-sub-wrapper{display: flex;justify-content: center;align-items: center;flex-direction: row-reverse;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input{position: initial;margin-left: 20px;transform: none;width: auto;width: 50%;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input .fir-icon{width: 56px;height: 56px;border: 2px solid #ccc;background-color: white;border-radius: 0;position: relative;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input .fir-icon::before{position: absolute;content: "";width: 40px;height: 40px;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input .fir-icon.selected{background-color: #ff9933;border-color: #ff9933;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input .fir-icon.selected::before{background-color: #ff9933;border: none;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-input .fir-icon.selected::after{position: absolute;content: "";width: 12px;height: 24px;border-bottom: 4px solid white;border-right: 4px solid white;transform: rotate(45deg);top: 6px;left: 18px;margin-top: 0;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-text{width: 50%;text-align: right;}

    body[response_nologo] .checkbox.v2 .answers .OneColumnEl .cell-text label{padding: 0;display: block;}



    /* response_images v1 */
    body[response_images] .v1 .question-text{text-align: left;}

    body[response_images] .v1 .answers{justify-content: center;}

    body[response_images] .v1 .answers .OneColumnEl{width: 60%;}




    /* response_images v2 */
    body[response_images] .v2 .question-text{text-align: left;}

    body[response_images] .v2 .answers{justify-content: center;}

    body[response_images] .v2 .answers .OneColumnEl{width: 90%;margin-bottom: 20px;}

    body[response_images] .v2 .answers .OneColumnEl .cell-sub-wrapper{display: flex;width: 100%;}

    body[response_images] .v2 .answers .OneColumnEl .cell-input{position: absolute;left: 80%;width: 60px;display: flex;align-items: center;}

    body[response_images] .v2.radio .answers .OneColumnEl .cell-input .fir-icon{width: 56px;height: 56px;border-radius: 50%;border: 2px solid lightgray;background-color: white;}

    body[response_images] .v2.radio .answers .OneColumnEl .cell-input .fir-icon::before{position: absolute;content: "";width: 40px;height: 40px;border-radius: 50%;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

    body[response_images] .v2.radio .answers .OneColumnEl .cell-input .fir-icon.selected{background-color: #ff9933;border-color: #ff9933;}

    body[response_images] .v2.radio .answers .OneColumnEl .cell-input .fir-icon.selected::before{background-color: #ff9933;}

    body[response_images] .v2.checkbox .answers .OneColumnEl .cell-input .fir-icon{width: 56px;height: 56px;border: 2px solid lightgray;background-color: white;}

    body[response_images] .v2.checkbox .answers .OneColumnEl .cell-input .fir-icon::before{position: absolute;content: "";width: 40px;height: 40px;background-color: #eee;top: 50%;left: 50%;transform: translate(-50%,-50%);}

    body[response_images] .v2.checkbox .answers .OneColumnEl .cell-input .fir-icon.selected{background-color: #ff9933;border-color: #ff9933;}

    body[response_images] .v2.checkbox .answers .OneColumnEl .cell-input .fir-icon.selected::before{background-color: #ff9933;}

    body[response_images] .v2.checkbox .answers .OneColumnEl .cell-input .fir-icon.selected::after{position: absolute;content: "";width: 12px;height: 24px;border-bottom: 4px solid white;border-right: 4px solid white;transform: rotate(45deg);top: 6px;left: 18px;}
    
    body[response_images] .v2 .answers .OneColumnEl .cell-text{width: calc(100% - 70px);}

    body[response_images] .v2 .answers .OneColumnEl .cell-text label{flex-wrap: nowrap;justify-content: flex-start;align-items: center;}

    body[response_images] .v2 .answers .OneColumnEl .cell-text .box{width: 40%;padding: 0;border: none;margin: 0;margin-right: 10px;}



    /* grid_col */
    body[grid_col] .v3 .answers .grid tbody:first-of-type{display: block;}

    body[grid_col] .v3 .answers .row-elements.odd{background-color: transparent;}

    body[grid_col] .v3 .answers .row-elements .groupingCols{width: 100%;}

    body[grid_col] .v3 .answers .row-elements .col-legend-top{font-size: 1.4rem;font-weight: bold;}

    


    /* grid_row */
    body[grid_row] .question-text{text-align: left;}

    body[grid_row] .instruction-text{text-align: left;margin: 20px 0;}

    body[grid_row] .answers .row-elements.even .row-legend{background-color: transparent;}

    body[grid_row] .v1 .answers .row-elements.odd{background: none;}

    body[grid_row] .answers .col-legend{background-color: white;padding: 2px;width: 100%;}

    body[grid_row] .answers .row-elements{width: 100%;display: flex;justify-content: space-between;flex-wrap: wrap;}

    body[grid_row] .answers .row-elements .row-legend{width: 35%;align-self: center;}

    body[grid_row] .answers .row-elements .groupingRows{padding: 0;display: flex;justify-content: center;align-items: center;}

    





    /* grid_row v2 */
    body[grid_row] .v2 .answers .grid-table-mode tbody{display: block;}

    body[grid_row] .v2 .answers .row-col-legends-top{width: calc(100% - 60px);margin-left: 30px;}

    body[grid_row] .v2 .answers .row-elements .row-legend{width: 100%;text-align: left;margin-right: 0;}

    body[grid_row] .v2 .answers .row-elements .groupingRows{flex: none;transform: scale(.8);}


    /* grid_row v3 */
    body[grid_row] .v3 .answers .grid-table-mode tbody:first-of-type{display: block;}

    body[grid_row] .v3 .answers .row-elements.odd{background-color: transparent;}

    body[grid_row] .v3 .answers .row-elements .groupingCols{width: 100%;}

    body[grid_row] .v3 .answers .row-elements .col-legend-top{font-size: 1.4rem;font-weight: bold;}


    /* grid-list*/
    body[grid_row] .answers-list .grid-list-mode tbody:first-of-type{display: none;}

    body[grid_row] .answers-list .row-elements.odd{background-color: transparent;}

    body[grid_row] .answers-list .row-elements .row-legend{font-weight: bold;width: 100%;margin-bottom: 10px;background-color: transparent;}

    body[grid_row] .answers-list .row-elements .groupingRows{width: 100%;display: block;flex: auto;margin: 5px 0;}



    /* grid_row both*/

    body[grid_row] .both .answers .row-col-legends-top .empty-top{width: 25%;}

    body[grid_row] .both .answers .row-col-legends-top .tbox{width: 48%;}

    body[grid_row] .both .answers .row-elements .row-legend{width: 25%;}

    body[grid_row] .both .answers .row-elements .cbox{width: 48%;}

    body[grid_row] .both .answers .row-elements .groupingRows{align-self: center;width: 100%;display: flex;}




    /* popimg */


}



@media only screen and (max-device-width: 360px) {
    body[grid_row] .both .answers .row-elements .row-legend{font-size: 1rem;}
    
    body[grid_row] .both .answers .row-elements .groupingRows{width: 24px;}

    body[grid_row] .both .answers .row-elements .fir-icon{width: 2.4rem;height: 2.4rem;}

}

